%define name	gtk-iptables
%define version	0.4.21
%define release 2mdk

Name: 	 	%{name}
Summary: 	GTK-based frontend for iptables
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://gtk-iptables.sourceforge.net
License:	GPL
Group:		System/Configuration/Networking
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk-devel
Requires:	gksu userspace-ipfilter
Obsoletes:	gtkiptables
Provides:	gtkiptables

%description
Gtk-IPTables is a GTK-based frontend for iptables written in C. You can
create rules for all chains for Filter, NAT, and Mangle tables.

%prep
%setup -q
# mpol: automake-1.4 is ok for this?
for i in install-sh missing mkinstalldirs
do
	rm -f $i
	ln -s /usr/share/automake-1.4/$i
done

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="gksu gtkiptables" icon="networking_configuration_section.png" needs="x11" title="GTK-IPTables" longtitle="IPTables Rules Configuration" section="Configuration/Networking"
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING NEWS
%{_bindir}/gtkiptables
%{_menudir}/%name

%changelog
* Wed Dec 17 2003 Marcel Pol <mpol@mandrake.org> 0.4.21-2mdk
- depend on userspace-ipfilter
- 64bit buildrequires

* Wed Apr 2 2003 Austin Acton <aacton@yorku.ca> 0.4.21-1mdk
- 0.4.21

* Sun Mar 23 2003 Austin Acton <aacton@yorku.ca> 0.4.1-1mdk
- initial package
